List activity definitions
curl --request GET \
--url https://app.azalt.co/api/v1/activity-definitions \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.azalt.co/api/v1/activity-definitions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.azalt.co/api/v1/activity-definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"uiCode": "<string>",
"calcCode": "<string>",
"inputs": [
{
"name": "<string>",
"type": "string",
"required": true,
"exportName": "<string>",
"example": "<string>",
"editor": {
"type": "select",
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
}
],
"organizationId": "<string>",
"metadataSchema": {},
"createdAt": "<string>",
"updatedAt": "<string>"
}
]{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}ActivityDefinition
List activity definitions
Retrieve all available activity definitions:
Returns activity definitions for your organization, including both organization-specific and common (shared) definitions. Each contains UI code, calculation code, input schema, and metadata.
Activity definitions are templates that define structure and calculation logic for different types of environmental activities.
GET
/
activity-definitions
List activity definitions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful response
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes

